# FairMQ: fair::mq::sdk::DDSEnvironment Class Reference

fair::mq::sdk::DDSEnvironment Class Reference

Sets up the DDS environment (object helper) More...

`#include <fairmq/sdk/DDSSession.h>`

## Classes

struct | Impl

## Public Types

using | Path = boost::filesystem::path

## Public Member Functions

| DDSEnvironment (Path)
auto | GetLocation () const -> Path
auto | GetConfigHome () const -> Path

## Friends

auto | operator<< (std::ostream &os, DDSEnvironment env) -> std::ostream &

## Detailed Description

Sets up the DDS environment (object helper)

The documentation for this class was generated from the following files:

- fairmq/sdk/DDSEnvironment.h
- fairmq/sdk/DDSEnvironment.cxx

privacy